Last Comment Bug 777617 - Incorrect rendering of fixed position display items
: Incorrect rendering of fixed position display items
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla17
Assigned To: Matt Woodrow (:mattwoodrow)
:
Mentors:
https://dl.dropbox.com/u/28610/bookma...
Depends on:
Blocks: 741682
  Show dependency treegraph
 
Reported: 2012-07-25 21:30 PDT by Matt Woodrow (:mattwoodrow)
Modified: 2012-08-25 18:54 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Allow flattening of fixed position item (1.19 KB, patch)
2012-07-25 21:30 PDT, Matt Woodrow (:mattwoodrow)
roc: review+
Details | Diff | Splinter Review

Description Matt Woodrow (:mattwoodrow) 2012-07-25 21:30:24 PDT
Created attachment 646017 [details] [diff] [review]
Allow flattening of fixed position item

This is a regression from bug 741682, url link shows the issue
Comment 1 Girish Sharma [:Optimizer] 2012-07-25 21:32:30 PDT
This also happens for the background for gmail's custom themes.
Comment 2 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-07-25 21:45:32 PDT
Comment on attachment 646017 [details] [diff] [review]
Allow flattening of fixed position item

Review of attachment 646017 [details] [diff] [review]:
-----------------------------------------------------------------

Should we do the same thing for zoom?
Comment 3 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-07-25 21:45:45 PDT
I mean nsDisplayZoom
Comment 4 Matt Woodrow (:mattwoodrow) 2012-07-26 20:08:58 PDT
(In reply to Robert O'Callahan (:roc) (Mozilla Corporation) from comment #3)
> I mean nsDisplayZoom

Yes we should, added that too.

https://hg.mozilla.org/integration/mozilla-inbound/rev/5951b6b01860
Comment 5 :Ehsan Akhgari (away Aug 1-5) 2012-07-27 08:57:11 PDT
https://hg.mozilla.org/mozilla-central/rev/5951b6b01860

Note You need to log in before you can comment on or make changes to this bug.